Loading...
Searching...
No Matches
L4Re::Smart_count_cap< Unmap_flags > Class Template Reference
L4Re C++ Interface » L4Re Util C++ Interface » L4Re Capability API

Helper for Ref_cap and Ref_del_cap. More...

`#include <cap_alloc>`

Collaboration diagram for L4Re::Smart_count_cap< Unmap_flags >:

## Public Member Functions

void | free (L4::Cap_base &c) noexcept
| Free operation for L4::Smart_cap (decrement ref count and delete if 0).
L4::Cap_base | copy (L4::Cap_base const &src)
| Copy operation for L4::Smart_cap (increment ref count).

## Static Public Member Functions

static void | invalidate (L4::Cap_base &c) noexcept
| Invalidate operation for L4::Smart_cap.

## Detailed Description

template<unsigned long Unmap_flags = L4_FP_ALL_SPACES>
class L4Re::Smart_count_cap< Unmap_flags >

Helper for Ref_cap and Ref_del_cap.

Definition at line 139 of file cap_alloc.

The documentation for this class was generated from the following file:

- l4/re/cap_alloc